Bug 1007221 - kernel-3.11.0-x.fc20.x86_64 doesnt flush memory as part of rebooting so leaves leftovers if dont power off?
kernel-3.11.0-x.fc20.x86_64 doesnt flush memory as part of rebooting so leave...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
20
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 03:06 EDT by collura
Modified: 2014-05-24 20:10 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-24 20:10:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description collura 2013-09-12 03:06:35 EDT
Description of problem:

stale video from previous session appears after reboot (not after power off)

displayed steps: 
 bios boot graphic, 
 grub menu,
 fedora scroller at bottom of screen,
 login screen,
 fedora desktop,
 open some user application

starting with machine off
power up and log in 
open some window or run some program so that there will be something visible other than the desktop.

now reboot (not power off) and login again (enter username/password).

during the login process the prior task that you had running before the restart is briefly visible in full resolution on the screen until the login process completes.

this stale video (depending on how fast complete login steps?):

   sometimes happens before grub menu comes up (?) 
       ( if stale video is displayed before the login screen 
         it doesnt show your task from before reboot this time 
         but shows lower resolution shot of bios boot graphic 
         [an interlace frame of the bios boot graphic?]  
         after the full resolution bios boot graphic 
         had been cleared from screen )

   sometimes happens before login screen 
        ( usually stale video of pre-reboot task 
          but possibly bios boot graphic interlace frame ) 

   sometimes happens after login screen but before the desktop is fully up
        ( stale video of pre-reboot task )

this stale video doesnt happen when power on into kernel-3.10.10-200.fc19.x86_64 and then rebooting back into kernel-3.10.10-200.fc19.x86_64

this stale video DOES happen when (on otherwise fully updated fc19 system):

   rebooted from 3.10.10-200.fc19.x86_64 to 3.11.0-300.fc20.x86_64

   rebooted from 3.11.0-300.fc20.x86_64  to 3.11.0-300.fc20.x86_64

   rebooted from 3.11.0-300.fc20.x86_64  to 3.10.10-200.fc19.x86_64 (?) 
       ( redisplays an interlace frame of boot bios graphic before login screen 
         [but NOT stale video of your task from before the reboot] 
         after login before login process completes only clean desktop )



Version-Release number of selected component (if applicable):

  kernel-3.11.0-x.fc20.x86_64

How reproducible:

  often

Steps to Reproduce:
1. system powered off
2. boot, log in, launch a program so something is on screen 
3. reboot (not poweroff-delay-poweron), login
4. see stale video briefly as desktop is being set up 

Actual results:

   see video snapshot from previous boot after reboot

Expected results:

   see default clear video not stale user desktop image from previous logon

Additional info:

   aditional system information:
     https://bugzilla.redhat.com/show_bug.cgi?id=991737
     https://bugzilla.redhat.com/show_bug.cgi?id=1006527
Comment 1 collura 2013-12-17 06:11:34 EST
as of 

  kernel-3.12.5-301.fc20.x86_64

not getting stale images.

leaving open for now and will close if continues to work.
Comment 2 Morgan Leijström 2014-05-24 18:00:40 EDT
Still OK ?
Comment 3 collura 2014-05-24 20:10:19 EDT
ja, still good including upto

  kernel-3.14.4-200.fc20.x86_64
  and 
  kernel-3.15.0-0.rc5.git1.1.fc21.x86_64

closing. 

thanks again :')

Note You need to log in before you can comment on or make changes to this bug.